Update tool
curl --request PUT \
--url https://api.getcargo.io/v1/orchestration/tools/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"icon": {
"kind": "<string>",
"data": "<string>"
},
"description": "<string>",
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggers": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"cron": "<string>",
"data": {}
}
],
"publicForm": {
"isEnabled": true,
"allowedOrigins": [
"<string>"
],
"spam": {
"captchaSiteKey": "<string>",
"captchaSecret": "<string>",
"minFillMillis": 4503599627370495
},
"presentation": {
"theme": {
"primaryColor": "<string>",
"primaryTextColor": "<string>",
"primaryHoverColor": "<string>",
"textColor": "<string>",
"mutedColor": "<string>",
"backgroundColor": "<string>",
"borderColor": "<string>",
"borderFocusColor": "<string>",
"radius": "<string>",
"fontFamily": "<string>"
}
}
}
}
'import requests
url = "https://api.getcargo.io/v1/orchestration/tools/{uuid}"
payload = {
"name": "<string>",
"icon": {
"kind": "<string>",
"data": "<string>"
},
"description": "<string>",
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggers": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"cron": "<string>",
"data": {}
}
],
"publicForm": {
"isEnabled": True,
"allowedOrigins": ["<string>"],
"spam": {
"captchaSiteKey": "<string>",
"captchaSecret": "<string>",
"minFillMillis": 4503599627370495
},
"presentation": { "theme": {
"primaryColor": "<string>",
"primaryTextColor": "<string>",
"primaryHoverColor": "<string>",
"textColor": "<string>",
"mutedColor": "<string>",
"backgroundColor": "<string>",
"borderColor": "<string>",
"borderFocusColor": "<string>",
"radius": "<string>",
"fontFamily": "<string>"
} }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
icon: {kind: '<string>', data: '<string>'},
description: '<string>',
folderUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
triggers: [
{
name: '<string>',
description: '<string>',
type: '<string>',
cron: '<string>',
data: {}
}
],
publicForm: {
isEnabled: true,
allowedOrigins: ['<string>'],
spam: {
captchaSiteKey: '<string>',
captchaSecret: '<string>',
minFillMillis: 4503599627370495
},
presentation: {
theme: {
primaryColor: '<string>',
primaryTextColor: '<string>',
primaryHoverColor: '<string>',
textColor: '<string>',
mutedColor: '<string>',
backgroundColor: '<string>',
borderColor: '<string>',
borderFocusColor: '<string>',
radius: '<string>',
fontFamily: '<string>'
}
}
}
})
};
fetch('https://api.getcargo.io/v1/orchestration/tools/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tool": {
"uuid": "<string>",
"icon": {
"kind": "<string>",
"data": "<string>"
},
"workspaceUuid": "<string>",
"workflowUuid": "<string>",
"userUuid": "<string>",
"name": "<string>",
"folderUuid": "<string>",
"creditsCost": {
"kind": "<string>"
},
"description": "<string>",
"isReadOnly": true,
"triggers": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"cron": "<string>",
"temporalScheduleWorkflowId": "<string>",
"data": {}
}
],
"publicForm": {
"isEnabled": true,
"allowedOrigins": [
"<string>"
],
"spam": {
"captchaSiteKey": "<string>",
"captchaSecret": "<string>",
"minFillMillis": 4503599627370495
},
"presentation": {
"theme": {
"primaryColor": "<string>",
"primaryTextColor": "<string>",
"primaryHoverColor": "<string>",
"textColor": "<string>",
"mutedColor": "<string>",
"backgroundColor": "<string>",
"borderColor": "<string>",
"borderFocusColor": "<string>",
"radius": "<string>",
"fontFamily": "<string>"
}
}
},
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
}Orchestration - Tools
Update tool
Update a tool
PUT
/
orchestration
/
tools
/
{uuid}
Update tool
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Tool identifier.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Body
application/json
Request body schema.
Tool name.
Tool icon.
- Icon
- Icon
Show child attributes
Show child attributes
Tool description.
Folder identifier.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Tool cron triggers.
Show child attributes
Show child attributes
Public, embeddable form configuration. Set to null to disable.
Show child attributes
Show child attributes
Template publishing configuration.
Show child attributes
Show child attributes
Response
Successful response
Updated tool details.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

